Simulate Deposit

POST
/api/v1/customers/{customerId}/virtual-accounts/{virtualAccountId}/sandbox/simulate-deposit

Create a sandbox-only simulated deposit for a virtual account. Minimum required request body: { amount }.

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

customerId*string

Customer UUID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
virtualAccountId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

Minimum required field is amount. scenario defaults to completed; all other fields are optional.

application/json
  1. body

Minimum required field is amount. scenario defaults to completed; all other fields are optional.

amount*string
Match^\d+(\.\d{1,2})?$
scenario?string
Default"completed"
Value in"create_only""completed""failed"
external_deposit_id?string
Length1 <= length <= 255
sender_name?string
Length1 <= length <= 255
sender_reference?string
Length1 <= length <= 255
failure_code?string
Length1 <= length <= 100
failure_message?string
Length1 <= length <= 500

Response Body

Default Response

application/json
  1. response
deposit_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
external_deposit_id*string
scenario*string
Value in"create_only""completed""failed"
deposit_currency*string
amount_minor*string
workflow_started*boolean
workflow_id*string|null
Example Request
curl -X POST 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/sandbox/simulate-deposit' \  -H 'Content-Type: application/json' \  -d '{  "amount": "string"}'
Example Response
{  "deposit_id": "fa08a66a-d1a9-4575-b53b-691ceef6ab4e",  "external_deposit_id": "string",  "scenario": "create_only",  "deposit_currency": "string",  "amount_minor": "string",  "workflow_started": true,  "workflow_id": "string"}

Sandbox only. This endpoint does not exist in production.